/*******************************************************************************
 * Copyright (C) 2005 Novell, Inc. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *  - Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 *
 *  - Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 *
 *  - Neither the name of Novell, Inc. nor the names of its
 *    contributors may be used to endorse or promote products derived from this
 *    software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS''
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL Novell, Inc. OR THE CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 ******************************************************************************/

/**
 * @author Bart Whiteley
 */ 

#ifndef _FILE_DEFS_HPP_INCLUDE_GUARD_
#define _FILE_DEFS_HPP_INCLUDE_GUARD_

#define BADORMISSINGSTR(arg) "Bad or Missing \""arg"\" Parameter"
 
namespace OMC
{
namespace FileDefs
{
    typedef const char* const sccc; 

    //static sccc extern_filetool = DEFAULT_LIBEXEC_DIR"/life/lifefiletool"; 

    static sccc Mount_class                    = "OMC_LinuxMount"; 
    static sccc FileStorage_class              = "OMC_LinuxFileStorage"; 
    static sccc BootOSFromFS_class             = "OMC_LinuxBootOSFromFS"; 
    static sccc HostedFileSystem_class         = "OMC_LinuxHostedFileSystem"; 
    static sccc NFS_class                      = "OMC_LinuxNFS"; 
    static sccc ReiserFS_class                 = "OMC_LinuxReiserFileSystem"; 
    static sccc Ext3_class                     = "OMC_LinuxExt3FileSystem"; 
    static sccc Ext2_class                     = "OMC_LinuxExt2FileSystem"; 

    static sccc DataFile_class                 = "OMC_LinuxDataFile"; 
    static sccc BlockDeviceFile_class          = "OMC_LinuxBlockDeviceFile"; 
    static sccc CharacterDeviceFile_class      = "OMC_LinuxCharacterDeviceFile"; 
    static sccc SymbolicLink_class             = "OMC_LinuxSymbolicLink"; 
    static sccc Directory_class                = "OMC_LinuxDirectory"; 
    static sccc FIFO_class                     = "OMC_LinuxFIFOPipeFile"; 
    static sccc UnixFile_class                 = "OMC_LinuxFile"; 
    static sccc DirectoryContainsFile_class    =  "OMC_LinuxDirectoryContainsFile"; 
    static sccc FileIdentity_class             = "OMC_LinuxFileIdentity"; 
}
}

#endif // #ifndef _FILE_DEFS_HPP_INCLUDE_GUARD_
